* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* main page */
.mainbody {
    background-color: #ff4b8b;
    height: 100vh;
}

.mainpic img {
    height: 55vh;
    width: auto;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.mainbody h1 {
    font-family: 'Mochiy Pop One', sans-serif;
    font-size: 14vh;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
}

a {
    text-decoration: none;
    color: black;
}

.pi:hover {
    color: #b2fbe6;
}

.no:hover {
    color: #ffadd1;
}

.ki:hover {
    color: #fedf1d;
}

.o:hover {
    color: #b2fbe6;
}

.pi2:hover {
    color: #ffadd1;
}

.ii:hover {
    color: #fedf1d;
}

/* bio page */
.bio_bg {
    background-image: url(images/biopic.png);
    height: 100vh;
    background-repeat: no-repeat;
    background-color: #ff4b8b;
}

.biotext {
    position: absolute;
    font-family: 'Hedvig Letters Sans', sans-serif;
    font-size: 20px;
    color: white;
    top: 10%;
    right: 10%;
    width: 80%;
    background-color: #ff4b8b;
    padding: 15px;
}

.biotextjp {
    position: absolute;
    font-size: 20px;
    color: white;
    top: 10%;
    right: 10%;
    width: 80%;
    background-color: #ff4b8b;
    padding: 15px;
    display: none;
}

.aimaina_peek img {
    position: absolute;
    height: 200px;
    z-index: 99;
    right: 50px;
    top: -40px;
}

.aimaina_peek:hover {
    cursor: pointer;
}

.doushite_peek img {
    position: absolute;
    height: 200px;
    z-index: 99;
    left: -30px;
    top: 130px;
}

/* song 1 - hanauta */
.song1body {
    background-color: #e54295;
    height: 94vh;
}

.topline {
    background-color: #42e5df;
    height: 3vh;
}

.bottomline {
    background-color: #42e5df;
    height: 3vh;
}

.song1body h1 {
    font-family: 'IBM Plex Sans', sans-serif;
    color: white;
    font-size: 7vh;
    width: 20%;
    margin-left: auto;
    margin-right: auto;
}

.song1body h2 {
    font-family: 'Mochiy Pop One', sans-serif;
    color: white;
    font-size: 4vh;
    width: 20%;
    margin-left: auto;
    margin-right: auto;
}

.song1body a:visited {
    color: white;
}

.song1body a:hover {
    color: rgb(255, 196, 196);
}

.song1body a {
    color: white;
}

.maintext {
    font-family: 'IBM Plex Sans', sans-serif;
    color: white;
    font-size: 23px;
    margin-top: 10px;
}

.parent {
    display: flex;
    flex-direction: row;
}

.doushite_head img {
    height: 25vh;
    margin-top: 20vh;
}

.aimaina_head img {
    height: 25vh;
    margin-top: 20vh;
}

/* song 2 - nina */

.song2body {
    background-color: #fdecf6;
    height: 100vh;
}

.mikunoeyes img {
    position: absolute;
    height: 75vh;
    top: 15%;
    left: 30%;
}

.mikueyes img {
    position: absolute;
    height: 75vh;
    top: 15%;
    left: 30%;
}

.mikueyes {
    display: none;
}

.box1 img {
    position: absolute;
    height: 70vh;
    top: 0;
    left: -30px;
    rotate: 230deg;
}

.box1 img:hover {
    cursor: pointer;
}

.box2 img {
    position: absolute;
    height: 70vh;
    bottom: -30%;
    left: 10%;
    rotate: 305deg;
}

.box3 img {
    position: absolute;
    height: 70vh;
    top: 10%;
    right: -10%;
    rotate: 160deg;
}

.box4 img {
    position: absolute;
    height: 70vh;
    bottom: -40%;
    right: 0%;
    rotate: 260deg;
}

.box5 img {
    position: absolute;
    height: 70vh;
    top: -55%;
    left: 30%;
    rotate: 125deg;
    display: block;
}

.ninatext {
    position: absolute;
    background-color: #ff4b8b;
    width: 25%;
    right: 10px;
    top: 10px;
    display: none;
    color: white;
    font-family: 'IBM Plex Sans', sans-serif;
    font-size: 20px;
    padding: 10px;
}

/* song 3 - kamippoi na */

.kamippoi_body {
    background-color: #aeaca8;
    position: relative;
}

.kamippoi_letters {
    position: relative;
}

.kami_text {
    position: absolute;
    font-size: 125px;
    color: red;
    rotate: -20deg;
    left: 10px;
}

.tsu_text {
    position: absolute;
    font-size: 80px;
    color: red;
    left: 150px;
    top: 50px;
}

.po_text {
    position: absolute;
    font-size: 125px;
    color: red;
    left: 300px;
    top: 165px;
    rotate: 20deg;
}

.i_text {
    position: absolute;
    font-size: 125px;
    color: red;
    left: 500px;
    top: 350px;
    z-index: 999;
    rotate: 20deg;
}

.na_text {
    position: absolute;
    font-size: 125px;
    color: red;
    left: 650px;
    top: 450px;
    rotate: -20deg;
}

.kamippoi img {
    height: 100vh;
    z-index: 99;
}

.kamippoi_text {
    position: absolute;
    font-family: 'Montserrat', sans-serif;
    font-size: 15px;
    color: black;
    top: 10%;
    right: 5%;
    width: 50%;
}

.kamippoi_letters a:visited {
    color: red;
}

.kamippoi_letters a:hover {
    color: rgb(164, 0, 0);
}

.kamippoi_letters a {
    color: red;
}

/* song 4 - tensei ringo */

.trbody {
    background-color: #e53566;
}

.ringo img {
    height: 60vh;
    width: auto;
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20vh;
}

.tensei img {
    height: 100vh;
    width: auto;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.tensei {
    display: none;
}

.trtitle {
    position: absolute;
    color: #0dd9c4;
    font-size: 50px;
    left: 37%;
    top: 5%;
    font-family: 'Mochiy Pop One', sans-serif;
    z-index: 999;
}

.trtext {
    position: absolute;
    background-color: #0dd9c4;;
    font-size: 15px;
    left: 10%;
    top: 48%;
    z-index: 9999;
    font-family: 'IBM Plex Sans', sans-serif;
    width: 80%;
    display: none;
    padding: 10px;
}

.trtitle a:visited {
    color: #0dd9c4;
}

.trtitle a:hover {
    color: #62ffef;
}

.trtitle a {
    color: #0dd9c4;
}

/* song 5 - pocket no monster */

.pokebg img {
    position: relative;
    height: 100vh;
    background-repeat: no-repeat;
}

.whitecircle img {
    position: absolute;
    height: 75vh;
    background-repeat: no-repeat;
    z-index: 99;
    top: 15%;
    left: 20%;
}

.pokeball img {
    position: absolute;
    height: 10vh;
    background-repeat: no-repeat;
    z-index: 999;
    top: 40%;
    left: 44%;
}

.poketitle {
    position: absolute;
    font-size: 30px;
    color: rgb(222, 76, 76);
    font-family: 'Mochiy Pop One', sans-serif;
    z-index: 9999;
    left: 30%;
    top: 30%;
}

.poketext {
    position: absolute;
    color: rgb(222, 76, 76);
    font-size: 15px;
    left: 30%;
    top: 53%;
    z-index: 9999;
    font-family: 'IBM Plex Sans', sans-serif;
    width: 40%;
}

.poketitle a:visited {
    color: rgb(222, 76, 76);
}

.poketitle a:hover {
    color: rgb(255, 45, 45);
}

.poketitle a {
    color: rgb(222, 76, 76);
}